.composition {
    position: relative;
    &__photo{
        width: 55%;
        box-shadow: 0 1.5rem 4rem rgba($color-grey, .4);
        border-radius: .2rem;
        position: absolute;
        transition: all .2s ease-in-out;
        z-index: 10;
        outline-offset: 2rem;
        &--p1 {
            top: -2rem;
            left: 0;
        }
        &--p2 {
            right: 0;
            top: 2rem;
        }
        &--p3 {
            left: 20%;
            top: 10rem;
        }
        &:hover {
           outline: 1.5rem solid $primary-color;
           z-index: 20;
           transform: scale(1.05);
        }
    }
    &:hover &__photo:not(:hover){
        transform: scale(.95);
    }
}